CMAP_CONTEXT_GET(3)

NAME

cmap_context_get - Gets the context variable for a CMAP instance

SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_context_get (cmap_handle_t handle, const void **context);

DESCRIPTION

The cmap_context_get function is used to retrieve the context variable previously stored using cmap_context_set(3).

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

SEE ALSO
cmap_context_set(3), cmap_overview(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task